import os
import matplotlib.pyplot as plt
import re
from datetime import datetime

sizearq = []
sizenoarq = []
sizeanotherarq = []

sizearq.append(os.stat("arq1.txt").st_size)
sizenoarq.append(os.stat("noarq1.txt").st_size)
sizeanotherarq.append(os.stat("anotherarq1.txt").st_size)

sizearq.append(os.stat("arq10.txt").st_size)
sizenoarq.append(os.stat("noarq10.txt").st_size)
sizeanotherarq.append(os.stat("anotherarq10.txt").st_size)

sizearq.append(os.stat("arq20.txt").st_size)
sizenoarq.append(os.stat("noarq20.txt").st_size)
sizeanotherarq.append(os.stat("anotherarq20.txt").st_size)

sizearq.append(os.stat("arq30.txt").st_size)
sizenoarq.append(os.stat("noarq30.txt").st_size)
sizeanotherarq.append(os.stat("anotherarq30.txt").st_size)

sizearq.append(os.stat("arq40.txt").st_size)
sizenoarq.append(os.stat("noarq40.txt").st_size)
sizeanotherarq.append(os.stat("anotherarq40.txt").st_size)

sizearq.append(os.stat("arq50.txt").st_size)
sizenoarq.append(os.stat("noarq50.txt").st_size)
sizeanotherarq.append(os.stat("anotherarq50.txt").st_size)

x = [1, 10, 20, 30, 40, 50]
sizearq = [a/1024.0 for a in sizearq]
sizenoarq = [a/1024.0 for a in sizenoarq]
sizeanotherarq = [a/1024.0 for a in sizeanotherarq]
plt.plot(x, sizearq, 'b-', label='Arquitecture')
plt.plot(x, sizenoarq, 'r-', label='No Arquitecture')
plt.plot(x, sizeanotherarq, 'g-', label='Another Arquitecture')
plt.title('File Size v/s Iteration')
plt.xlabel('Iterations')
plt.ylabel('Size [KB]')
plt.savefig('Size.png')
plt.clf()
