import time #se necesita para usar las funciones de tiempo
from subprocess import call #la necesitamos para la interrupcion de teclado
import RPi.GPIO as GPIO
import paho.mqtt.client as paho

broker="192.168.0.14"
port=1883
def on_publish(client,userdata,result):
    print "data published \n"
    pass

client1 = paho.Client("control1")
client1.on_publish = on_publish
client1.connect(broker,port)
 
GPIO.setmode(GPIO.BOARD) #Queremos usar la numeracion de la placa
 
#Definimos los dos pines del sensor que hemos conectado: Trigger y Echo
Trig = 10
Echo = 12
 
#Hay que configurar ambos pines del HC-SR04
GPIO.setup(Trig, GPIO.OUT)
GPIO.setup(Echo, GPIO.IN)
 
print "Sensor Ultrasonico"

try:
    while True:
        GPIO.output(Trig, False) #apagamos el pin Trig
        time.sleep(0.01)
        
        GPIO.output(Trig, True) #encendemos el pin Trig
        time.sleep(0.00001)
        GPIO.output(Trig, False) #y lo volvemos a apagar
        start = time.time()
        
        #empezaremos a contar el tiempo cuando el pin Echo se encienda
        while GPIO.input(Echo) == 0:
            start = time.time()
        while GPIO.input(Echo) == 1:
            end = time.time()
        duracion = end-start
        medida = duracion*17000
        ret = client1.publish("debug", "%.2f" %medida)
        #print "%.2f" %medida #por ultimo, vamos a mostrar el resultado por pantalla
except KeyboardInterrupt:
    GPIO.cleanup()

