import paho.mqtt.client as mqtt #import the client1
import time
from subprocess import call
########################################
def on_message(client, userdata, message):
    print("message received " ,str(message.payload.decode("utf-8")))
    #print("message topic=",message.topic)
    #print("message qos=",message.qos)
    #print("message retain flag=",message.retain)

def on_connect(client, userdata, rc):
    print('Connected with result code %s' % rc)
########################################
try:
    broker_address = "192.168.0.21"
    client = mqtt.Client()
    client.on_connect = on_connect
    client.on_message = on_message
    client.connect(broker_address, 1883, 60)
    client.subscribe("debug")

    client.loop_forever()

except KeyboardInterrupt:
    client.disconnect()
